%define upstream_name    Module-Install-RTx
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    RT extension installer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:	    Module-Install-RTx-destdir.patch
Patch2:	    Module-Install-RTx-installdirs.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Install::Admin)
Requires: rt
BuildArch: noarch

%description
This *Module::Install* extension implements one function, 'RTx', that takes
the extension name as the only argument.

It arranges for certain subdirectories to install into the installed RT
location, but does not affect the usual 'lib' and 't' directories.

The directory mapping table is as below:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
pushd lib
%patch1 -p0 -b .destdir
%patch2 -p0 -b .installdirs
popd

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Apr 23 2012 buchan <buchan> 0.290.0-1.mga2
+ Revision: 233085
- imported package perl-Module-Install-RTx


* Fri Apr 20 2012 Buchan Milne <buchan@mageia.org> 0.29-1mga
- initial mageia release, generated with the help of cpan2dist
